diff -u pam_radius-1.3.17/Makefile pam_radius-1.3.17-patch/Makefile
--- pam_radius-1.3.17/Makefile	2007-03-26 06:22:11.000000000 +0200
+++ pam_radius-1.3.17-patch/Makefile	2010-02-04 09:44:28.000000000 +0100
@@ -30,6 +30,8 @@
 #
 all: pam_radius_auth.so
 
+mac: pam_radius_auth.so_mac
+
 ######################################################################
 #
 #  Build the object file from the C source.
@@ -57,6 +59,9 @@
 pam_radius_auth.so: pam_radius_auth.o md5.o
 	ld -Bshareable pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
 
+pam_radius_auth.so_mac: pam_radius_auth.o md5.o
+	ld -bundle pam_radius_auth.o md5.o /usr/lib/bundle1.o -lc -lpam -o pam_radius_auth.so 
+
 ######################################################################
 #
 #  Check a distribution out of the source tree, and make a tar file.
diff -u pam_radius-1.3.17/pam_radius_auth.c pam_radius-1.3.17-patch/pam_radius_auth.c
--- pam_radius-1.3.17/pam_radius_auth.c	2007-03-26 11:36:13.000000000 +0200
+++ pam_radius-1.3.17-patch/pam_radius_auth.c	2010-02-04 09:41:26.000000000 +0100
@@ -60,6 +60,12 @@
 #ifdef sun
 #include <security/pam_appl.h>
 #endif
+
+#ifdef __APPLE__
+#include <security/pam_appl.h>
+#include <sys/time.h>
+#endif
+
 #include <security/pam_modules.h>
 
 #include "pam_radius_auth.h"
